Class protos.google.cloud.securesourcemanager.v1.PullRequest (0.11.0)

Represents a PullRequest.

Implements

Package

@google-cloud/securesourcemanager

Constructors

(constructor)(properties)

constructor(properties?: google.cloud.securesourcemanager.v1.IPullRequest);

Constructs a new PullRequest.

Parameter
Name Description
properties IPullRequest

Properties to set

Properties

base

public base?: (google.cloud.securesourcemanager.v1.PullRequest.IBranch|null);

PullRequest base.

body

public body: string;

PullRequest body.

closeTime

public closeTime?: (google.protobuf.ITimestamp|null);

PullRequest closeTime.

createTime

public createTime?: (google.protobuf.ITimestamp|null);

PullRequest createTime.

head

public head?: (google.cloud.securesourcemanager.v1.PullRequest.IBranch|null);

PullRequest head.

name

public name: string;

PullRequest name.

state

public state: (google.cloud.securesourcemanager.v1.PullRequest.State|keyof typeof google.cloud.securesourcemanager.v1.PullRequest.State);

PullRequest state.

title

public title: string;

PullRequest title.

updateTime

public updateTime?: (google.protobuf.ITimestamp|null);

PullRequest updateTime.

Methods

create(properties)

public static create(properties?: google.cloud.securesourcemanager.v1.IPullRequest): google.cloud.securesourcemanager.v1.PullRequest;

Creates a new PullRequest instance using the specified properties.

Parameter
Name Description
properties IPullRequest

Properties to set

Returns
Type Description
PullRequest

PullRequest instance

decode(reader, length)

public static decode(reader: ($protobuf.Reader|Uint8Array), length?: number): google.cloud.securesourcemanager.v1.PullRequest;

Decodes a PullRequest message from the specified reader or buffer.

Parameters
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

length number

Message length if known beforehand

Returns
Type Description
PullRequest

PullRequest

decodeDelimited(reader)

public static decodeDelimited(reader: ($protobuf.Reader|Uint8Array)): google.cloud.securesourcemanager.v1.PullRequest;

Decodes a PullRequest message from the specified reader or buffer, length delimited.

Parameter
Name Description
reader (Reader|Uint8Array)

Reader or buffer to decode from

Returns
Type Description
PullRequest

PullRequest

encode(message, writer)

public static encode(message: google.cloud.securesourcemanager.v1.IPullRequest, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified PullRequest message. Does not implicitly messages.

Parameters
Name Description
message IPullRequest

PullRequest message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

encodeDelimited(message, writer)

public static encodeDelimited(message: google.cloud.securesourcemanager.v1.IPullRequest, writer?: $protobuf.Writer): $protobuf.Writer;

Encodes the specified PullRequest message, length delimited. Does not implicitly messages.

Parameters
Name Description
message IPullRequest

PullRequest message or plain object to encode

writer $protobuf.Writer

Writer to encode to

Returns
Type Description
$protobuf.Writer

Writer

fromObject(object)

public static fromObject(object: { [k: string]: any }): google.cloud.securesourcemanager.v1.PullRequest;

Creates a PullRequest message from a plain object. Also converts values to their respective internal types.

Parameter
Name Description
object { [k: string]: any }

Plain object

Returns
Type Description
PullRequest

PullRequest

getTypeUrl(typeUrlPrefix)

public static getTypeUrl(typeUrlPrefix?: string): string;

Gets the default type url for PullRequest

Parameter
Name Description
typeUrlPrefix string

your custom typeUrlPrefix(default "type.googleapis.com")

Returns
Type Description
string

The default type url

toJSON()

public toJSON(): { [k: string]: any };

Converts this PullRequest to JSON.

Returns
Type Description
{ [k: string]: any }

JSON object

toObject(message, options)

public static toObject(message: google.cloud.securesourcemanager.v1.PullRequest, options?: $protobuf.IConversionOptions): { [k: string]: any };

Creates a plain object from a PullRequest message. Also converts values to other types if specified.

Parameters
Name Description
message PullRequest

PullRequest

options $protobuf.IConversionOptions

Conversion options

Returns
Type Description
{ [k: string]: any }

Plain object

verify(message)

public static verify(message: { [k: string]: any }): (string|null);

Verifies a PullRequest message.

Parameter
Name Description
message { [k: string]: any }

Plain object to verify

Returns
Type Description
(string|null)

null if valid, otherwise the reason why it is not